Bug 1731977 - Default service dialog values not included in EVM when 'refresh_dialog_fields' action invoked
Summary: Default service dialog values not included in EVM when 'refresh_dialog_fields...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.10.6
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.8
Assignee: Tina Fitzgerald
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1730813
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 13:11 UTC by Satoe Imaishi
Modified: 2019-11-28 18:50 UTC (History)
5 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1730813
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 20:56:27 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/6817c3365b1fb371be1b4ec5fa0d9bc232727daf
commit 6817c3365b1fb371be1b4ec5fa0d9bc232727daf
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Jul 19 11:30:47 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Jul 19 11:30:47 2019 -0400

    Merge pull request #19005 from eclarizio/BZ1730813-CiscoAPIFix

    Fix for Default service dialog values not included in EVM when 'refresh_dialog_fields' action invoked

    (cherry picked from commit a8a06f8826660553e00ec3ff49f0c8bad4f54681)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1731977

 app/models/dialog.rb | 12 +-
 app/models/dialog_field.rb | 6 +
 app/models/resource_action_workflow.rb | 57 +-
 spec/models/dialog_field_spec.rb | 39 +
 spec/models/dialog_spec.rb | 32 +-
 spec/models/resource_action_workflow_spec.rb | 6 +-
 6 files changed, 119 insertions(+), 33 deletions(-)

Comment 4 Parthvi Vala 2019-08-01 08:29:38 UTC
FIXED. Verified on 5.10.8.0.20190729222758_e725e22.

Comment 6 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.